Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.core
Class GenericConfig

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseConfig
              com.gwtext.client.core.GenericConfig

Direct Known Subclasses:
  DataView.Data, FxConfig

    public class GenericConfig

extends BaseConfig

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`GenericConfig()`

Method Summary
`java.lang.String` | `getProperty(java.lang.String property)`
`boolean` | `getPropertyAsBoolean(java.lang.String property)`
`int` | `getPropertyAsInt(java.lang.String property)`
`int[]` | `getPropertyAsIntArray(java.lang.String property)`
`java.lang.Object` | `getPropertyAsObject(java.lang.String property)`
`java.lang.String[]` | `getPropertyAsStringArray(java.lang.String property)`
`void` | `setProperty(java.lang.String property, boolean value)`
`void` | `setProperty(java.lang.String property, GenericConfig value)`
`void` | `setProperty(java.lang.String property, int value)`
`void` | `setProperty(java.lang.String property, int[] value)`
`void` | `setProperty(java.lang.String property, java.lang.Object value)`
`void` | `setProperty(java.lang.String property, java.lang.String value)`
`void` | `setProperty(java.lang.String property, java.lang.String[] value)`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericConfig

    public GenericConfig()

Method Detail

### setProperty

    public void setProperty(java.lang.String property,
                            java.lang.String value)

### getProperty

    public java.lang.String getProperty(java.lang.String property)

### setProperty

    public void setProperty(java.lang.String property,
                            int value)

### getPropertyAsInt

    public int getPropertyAsInt(java.lang.String property)

### setProperty

    public void setProperty(java.lang.String property,
                            boolean value)

### getPropertyAsBoolean

    public boolean getPropertyAsBoolean(java.lang.String property)

### setProperty

    public void setProperty(java.lang.String property,
                            int[] value)

### getPropertyAsIntArray

    public int[] getPropertyAsIntArray(java.lang.String property)

### setProperty

    public void setProperty(java.lang.String property,
                            java.lang.String[] value)

### getPropertyAsStringArray

    public java.lang.String[] getPropertyAsStringArray(java.lang.String property)

### setProperty

    public void setProperty(java.lang.String property,
                            GenericConfig value)

### setProperty

    public void setProperty(java.lang.String property,
                            java.lang.Object value)

### getPropertyAsObject

    public java.lang.Object getPropertyAsObject(java.lang.String property)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD